Bug 149874 - md: mount(pid xxxx) used obsolete MD ioctl, upgrade your software to use new ictls.
md: mount(pid xxxx) used obsolete MD ioctl, upgrade your software to use new ...
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-28 10:46 EST by Samuel Bouhnik
Modified: 2013-08-05 21:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-28 14:09:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Samuel Bouhnik 2005-02-28 10:46:17 EST
Description of problem:
mount -l generate the following error message:
 md: mount(pid 28113) used obsolete MD ioctl, upgrade your software 
to use new ictls.

When the device is a Raid Device. the md.c file is not complete, some 
case are missing.

Version-Release number of selected component (if applicable):

How reproducible:
mount -l 

Steps to Reproduce:
1. configure a raid device
2. run mount -l
Actual results:
Something is displayed but get an error message in /var/log/message

Expected results:
No error message and all information

Additional info:
Comment 1 Jimmy Dean 2005-03-05 08:17:28 EST
We are experiencing the same issue with a multipath array an AS 2.1
Comment 3 Jim Paradis 2005-12-08 16:44:52 EST
Is this issue causing any data loss or corruption, or are you still able to use
the MD array?
Comment 4 Need Real Name 2006-02-25 09:27:11 EST
No data loss here, but it's damn annoying to have my log files filled with this useless message because 
automated monitoring software calls mount to validate system state frequently, and causes the kernel to 
spew this to /var/log/messages constantly.

Can we please get an errata for 2.1 that will silence this bogus error?
Comment 5 Need Real Name 2006-02-25 16:56:01 EST
BTW, this is the same issue as 145486, which is older than this bug.  Note that both bugs were opened 
during the Phase 2 (Deployment Support) of RHEL 2.1, so this issue should qualify for a bug fix errata, 
especially since it was caused by a RHEL 2.1 kernel update that changed the behavior of the userspace 
interface from the original shipped kernel in RHEL 2.1.
Comment 6 Jim Paradis 2006-02-28 14:09:27 EST
At this time RHEL2.1 kernel errata are only released for the most severe issues
such as data corruption or security vulnerabilities.  This issue will not be fixed.

Note You need to log in before you can comment on or make changes to this bug.